Skip to main content
POST
/
v2
/
teams
/
{team_id}
/
users
Create Team User
curl --request POST \
  --url https://public.api.serval.com/v2/teams/{team_id}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "<string>",
  "role": "TEAM_USER_ROLE_UNSPECIFIED"
}
'
{
  "data": {
    "teamId": "<string>",
    "userId": "<string>",
    "role": "TEAM_USER_ROLE_UNSPECIFIED",
    "createdAt": "2023-11-07T05:31:56Z",
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Body

application/json
userId
string
required
role
enum<string>
required
Available options:
TEAM_USER_ROLE_UNSPECIFIED,
TEAM_USER_ROLE_AGENT,
TEAM_USER_ROLE_MANAGER,
TEAM_USER_ROLE_BUILDER,
TEAM_USER_ROLE_VIEWER,
TEAM_USER_ROLE_CONTRIBUTOR

Response

Success

data
data · object